<?PHP
////++++++++++++++++ CONFIGURACIÓN FASE 1 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////

////Conexiones y tiempos de ejecución
$VpnEn=$_GET["VPN"] or $VpnEn=$_POST["VPN"];
$LtEn=$_GET["LT"] or $LtEn=$_POST["LT"];
ini_set('max_execution_time', $LtEn);
include ("../Conections/$VpnEn.php");

$Cve_Modulo = "CMOD201506100171";

///Arrastra Variables Fijas
$UsuEn=$_POST['UsuKP'] or $UsuEn=$_GET['UsuKP'];
$TokEn=$_POST["TokenKP"] or $TokEn=$_GET["TokenKP"];
$IDSeEn=$_POST["IdDAcce"] or $IDSeEn=$_GET["IdDAcce"];
$CtaSesionEn=$_POST['CtaSKP'] or $CtaSesionEn=$_GET['CtaSKP'];

	//////Identificar la Cuenta y la Bodega
			$sqlCR1 = mysql_query("select * from wms_configura_altacuentas where NOMBRE_CUENTA='$CtaSesionEn'");
			if (mysql_numrows($sqlCR1)==0) echo "";
			else{
			$registroCR1=mysql_fetch_array($sqlCR1);
			}
			if (mysql_numrows($sqlCR1)>0)
			{
			$CveBodCR1=$registroCR1["CVE_BODEGA"];
			$CveCueCR1=$registroCR1["CVE_CUENTA"];
			}
	
	/////////Identificar personalización 2
		$sqlP2 = mysql_query("select * from wms_personaliza2 where ID='1'");
		if (mysql_numrows($sqlP2)==0) echo "";
		else{
		$registroP2=mysql_fetch_array($sqlP2);
		}
		if (mysql_numrows($sqlP2)>0)
		{
		$Titulo=$registroP2["TITULO_PAGINAS"];
		}
	
	/////////Identificar configuracion 1
		$sqlC1 = mysql_query("select * from wms_configura1 where ID='1'");
		if (mysql_numrows($sqlC1)==0) echo "";
		else{
		$registroC1=mysql_fetch_array($sqlC1);
		}
		if (mysql_numrows($sqlC1)>0)
		{
		$TimeInac=$registroC1["TIEMPO_INACTIVIDAD"];
		}

////++++++++++++++ FIN CONFIGURACIÓN FASE 1 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////		
?>		
<!--<!DOCTYPE html>-->
<!--<html>-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width"/>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">

<link rel="shortcut icon" href="../SIMA_Resourses/images/favicon.ico">
<title><?PHP echo $Titulo; ?></title>
<style type="text/css">
.Clase_TipoLetraTitulos {
	font-family: <?PHP echo $FuTi_Form; ?>;
	font-size:<?PHP echo $TaTi_Form; ?>px;
	color:<?PHP echo $BgTi_Form; ?>;
}
.Clase_TipoLetra {
	font-family: Microsoft Sans Serif;
	font-size:12px;
	color:#333;
}
.Clase_INPUT_Text {
	border: 1px solid <?PHP echo $Borde_Form; ?>;
	background: #FFFFFF;
	COLOR: #000000;
	FONT-FAMILY: Arial, Helvetica, sans-serif;
	FONT-SIZE: 12px;
	}

</style>
<link href="jquery-mobile/jquery.mobile-1.0.min.css" rel="stylesheet" type="text/css"/>
<script src="jquery-mobile/jquery-1.6.4.min.js" type="text/javascript"></script>
<script src="jquery-mobile/jquery.mobile-1.0.min.js" type="text/javascript"></script>

<!-- Inicia Validador de Inactividad -->
<script type="text/javascript">
var Inac;
function ini() {
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
function parar() {
  clearTimeout(Inac);
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
</script>

<!-- Termina Validador de Inactividad -->

</head>

<body onload="ini()" onkeypress="parar()" onclick="parar()"> 
<!-- Inicia Cuerpo de la Interfaz Gráfica -->
<div data-role="page" id="page">
<?PHP
////++++++++++++++++ CONFIGURACIÓN FASE 2 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////
		
	/////////Identifica si el token aun esta vigente
		$ExtAño = substr($TokEn, -28, 4);    // devuelve el año
		$ExtDia = substr($TokEn, -7, 2);    // devuelve el mes
		$ExtMes = substr($TokEn, -14, 2);    // devuelve el día
		$FechTok=$ExtDia."/".$ExtMes."/".$ExtAño;
		$FechAct=$PreTo4=date("d/m/Y");
		
		if ($FechTok<>$FechAct)
		{
			echo "<script>alert('La sesión del Token de seguridad ha caducado.\\nFavor de iniciar sesion nuevamente.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_Force.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
		}
		else
		{ ///Inicia IF Sesion Token
		
	/////////Identificar permisos de acceso 1
		$sqlPA1 = mysql_query("select * from tabla_usuarios where USUARION='$UsuEn'");
		if (mysql_numrows($sqlPA1)==0) 
		{
			echo "<script>alert('CODIGO: LOGSYS#00001\\nEl Usuario en sesión ha sido truncado por inexistencia.'); </script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogIn.php'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 1
		
	/////////Identificar permisos de acceso 2
		$sqlPA2 = mysql_query("select * from wms_configurapermisosnivelmodulo where USUARIO='$UsuEn' AND CVE_MODULO='$Cve_Modulo'");
		if (mysql_numrows($sqlPA2)==0) 
		{
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=SinPermisos.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 2
		
		/////////Identificar permisos de acceso 3 - Acreditación de Sesión Activa	
		$sqlPA3 = mysql_query("select * from tabla_controlsesiones where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlPA3)==0) 
		{
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_ReLogIn.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'";
		}
		else
		{ ///Inicia IF Permiso de Acceso 3
			
			$ut=$_POST['ut'] OR $ut=$_GET['ut'];
			$sku=$_POST['sku'] OR $sku=$_GET['sku'];
			$ubic=$_POST['ubic'] OR $ubic=$_GET['ubic'];
			$ubicdest=$_POST['ubicdest'] OR $ubicdest=$_GET['ubicdest'];
						
			//IF(ISSET($_GET['ut'])){echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=9-descarga2.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo&ut=$_GET[ut]'>";exit();}
			
			$load = mysql_query("select ID from tabla_tareas_bulk WHERE ESTATUS='CARGADO' AND CVE_CUENTA='$CveCueCR1' AND CVE_BODEGA='$CveBodCR1' AND UBICACION='$ut' AND SKU='$sku'");
			if(mysql_numrows($load)==0){
				echo "<script>alert('No hay carga dada de alta para la ubicación temporal $ut con el SKU introducido\\nFavor de corroborarlo.')</script>";
				echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=9-descarga2.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&ut=$ut'>";
				EXIT();
				}
			
			if((strcasecmp($ubic,$ubicdest) != 0) AND ($ubicdest!=NULL)){
			echo "<script>alert('La ubicación destino introducida es incorrecta\\nFavor de corroborarlo.')</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=9-descarga3.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&ut=$ut&sku=$sku'>";
			EXIT;
			}
			if($ubicdest==NULL AND ($ubic!=NULL)){
				$EXIST = mysql_query("SELECT * FROM tabla_ubicaciones WHERE CLAVEUBICACION='$ubic'");
				if(mysql_numrows($EXIST)==0){
			echo "<script>alert('La ubicación introducida no esta dada de alta\\nFavor de corroborarlo.')</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=9-descarga3.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&ut=$ut&sku=$sku'>";
			EXIT;
					}ELSE{$ubicdest=$ubic;}
				}
			
			
		function kardex($unidades,$palletx,$ubdestino){
		global $CveCueCR1;
		global $CveBodCR1;
		global $UsuEn;
		$pall = mysql_query("select * from tabla_inventario where NO_PALLET='$palletx' AND CVE_CUENTA='$CveCueCR1' AND CVE_BODEGA='$CveBodCR1'");
		$d = mysql_fetch_array($pall);					
								$Hora=time();
								$HoraOK=date("H:i:s",$Hora);
								$Fecha=date("Y/m/d");
								
								$sqlIDK = "select max(ID) as ultimo_FOLIOK from tabla_kardex"; 
								$libK = mysql_query($sqlIDK);
								$rs_libK = mysql_fetch_assoc($libK); 
								$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
								$NMovimiento="TRASPASO";							
								
								//////Guardar el registro a MENOS en la Table_Kardex//////////
								$sqlKMEN = "insert into tabla_kardex (ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,HORA,FECHA,USUARIO)
								values('$id_nuevoK','$CveBodCR1','$CveCueCR1','$d[SKU]','$d[SKU_ALT]','$d[NO_DOCUMENTO]','$NMovimiento -','$d[UBICACION]','$d[NO_PALLET]','-$d[CANTIDAD]','$HoraOK','$Fecha','$UsuEn')";
								$resultadoKMEN=mysql_query($sqlKMEN) or die(mysql_error());
								
								$id_nuevoK2 = $rs_libK['ultimo_FOLIOK'] + 2;
								
								//////Guardar el registro a MAS en la Table_Kardex//////////
								$sqlKMAS = "insert into tabla_kardex (ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,HORA,FECHA,USUARIO)
								values('$id_nuevoK2','$CveBodCR1','$CveCueCR1','$d[SKU]','$d[SKU_ALT]','$d[NO_DOCUMENTO]','$NMovimiento +','$ubdestino','$d[NO_PALLET]','$d[CANTIDAD]','$HoraOK','$Fecha','$UsuEn')";
								$resultadoKMAS=mysql_query($sqlKMAS) or die(mysql_error());
								
								//Actualizar ubicación del pallet
								$priori=mysql_query("SELECT PRIORIDAD FROM tabla_prioridad WHERE UBICACION='$ubdestino' AND CVE_BODEGA='$CveBodCR1' AND CVE_CUENTA='$CveCueCR1'") or die(mysql_error());
								$pri=mysql_fetch_array($priori);
								
								$tipo=mysql_query("SELECT TIPODEUBICACION FROM tabla_ubicaciones WHERE CLAVEUBICACION='$ubdestino' AND CVE_BODEGA='$CveBodCR1' AND CUENTA='$CveCueCR1'") or die(mysql_error());
								$tip=mysql_fetch_array($tipo);
								
								$updt = "UPDATE tabla_inventario SET UBICACION = '$ubdestino',PRIORIDAD='$pri[0]',TIPO_UBICACION='$tip[0]' WHERE NO_PALLET='$palletx' AND CVE_BODEGA='$CveBodCR1' AND CVE_CUENTA='$CveCueCR1'";
								$updtubic=mysql_query($updt) or die(mysql_error());
								}
		
		$load = mysql_query("select ID,NO_PALLET,CANT_S from tabla_tareas_bulk WHERE ESTATUS='CARGADO' AND CVE_CUENTA='$CveCueCR1' AND CVE_BODEGA='$CveBodCR1' AND UBICACION='$ut' AND SKU='$sku'");
		
		$total = mysql_query("select SUM(CANT_S) from tabla_tareas_bulk WHERE ESTATUS='CARGADO' AND CVE_CUENTA='$CveCueCR1' AND CVE_BODEGA='$CveBodCR1' AND UBICACION='$ut' AND SKU='$sku'");
		$tot = mysql_fetch_array($total);
		WHILE($ld = mysql_fetch_array($load)){
		//echo "<script>alert('cant: $ld[CANT_S],pallet: $ld[NO_PALLET],ubic: $ubicdest')</script>";
		kardex($ld['CANT_S'],$ld['NO_PALLET'],$ubicdest);
		$uodt = mysql_query("UPDATE tabla_inventario SET UBICACION='$ubicdest' WHERE NO_PALLET='$tot[NO_PALLET]' AND CVE_CUENTA='$CveCueCR1' AND CVE_BODEGA='$CveBodCR1'");
		}
		$UPDT=mysql_query("UPDATE tabla_tareas_bulk SET UBICACION='$ubicdest', ESTATUS='COMPLETADO' WHERE ESTATUS='CARGADO' AND CVE_CUENTA='$CveCueCR1' AND CVE_BODEGA='$CveBodCR1' AND UBICACION='$ut' AND SKU='$sku'	");
		
			$ttb=mysql_query("select id FROM tabla_tareas_bulk WHERE ESTATUS!='COMPLETADO' AND ESTATUS!='CERRADO' AND CVE_CUENTA='$CveCueCR1' AND CVE_BODEGA='$CveBodCR1'");
			if($ttb){
				if(mysql_numrows($ttb)==0){	
				$UPDT=mysql_query("UPDATE tabla_tareas_bulk SET ESTATUS='CERRADO' WHERE CVE_CUENTA='$CveCueCR1' AND CVE_BODEGA='$CveBodCR1'");
				$UPDT=mysql_query("UPDATE tabla_bulk SET ESTADO='CERRADO' WHERE CVE_CUENTA='$CveCueCR1' AND CVE_BODEGA='$CveBodCR1'");
				}
				}
			
			//$tb=mysql_query("select id FROM tabla_bulk WHERE ESTADO!='SURTIDO' AND ESTADO!='CERRADO' AND CVE_CUENTA='$CveCueCR1' AND CVE_BODEGA='$CveBodCR1'");
			//if($tb){if(mysql_numrows($tb)==0){}}
						
		echo "<script>alert('$tot[0] piezas del sku han sido registradas en la ubicación $ubicdest')</script>";
		ECHO "<META HTTP-EQUIV=Refresh CONTENT='0; URL=9-descarga.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&ut=$ut'>";

		////++++++++++++++ FIN CONFIGURACIÓN FASE 2 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////
} ///Termina IF Permiso de Acceso 3
} ///Termina IF Permiso de Acceso 2
} ///Termina IF Permiso de Acceso 1
} ///Termina IF Sesion del Token
?>

</body>
</html>
